PPI::Statement::Given(3pm)

NAME
PPI::Statement::Given - A given-when statement

SYNOPSIS
  given ( foo ) {
      say $_;
  }

INHERITANCE
  PPI::Statement::Given
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Statement::Given" objects are used to describe switch statements, as described in perlsyn.

METHODS
"PPI::Statement::Given" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

TO DO
- Write unit tests for this package

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.